commit:     32cdca5963585a5d4e2a48b6b8250ea26c744615
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 18 18:46:37 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sat Jun 18 18:46:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32cdca59

dev-python/boto3: add version 1.3.1

Package-Manager: portage-2.3.0_rc1

 dev-python/boto3/Manifest           |  1 +
 dev-python/boto3/boto3-1.3.1.ebuild | 55 +++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8c80c00..7e2d25a 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
 DIST boto3-1.2.1.tar.gz 152790 SHA256 
de4ad91f21bee47adffe5923d1aef0f3620e80f433f839e52f52848db7490cae SHA512 
b3b47dc69523a737f6d5d2a2311da999427bae1c608a34ef5909a83fc4306f6a2799300e6d8907d2d83eccf503b9b75a6f43417d9ed24882e57eb42410a6c56f
 WHIRLPOOL 
c707638307bb5a327e58d137f3b8eeb7bace25c422d98f7aca2e160dda89378ebce8723840e05184799ea56cba0e78588c7f74f44816b0519cf0820e5cb39027
 DIST boto3-1.2.3.tar.gz 159771 SHA256 
3ef63cbbb2b62e699ef3402bacd2658c453cf6cf5cfedb97ab8524327f755428 SHA512 
a680e41973be41a6fa294633fe45db86fc57effb97a99eb89d668b8fb1267f1a8b1c3049be0423b4807b48f109dc2cd9efd96afb44ba99c7064a0c8dcca06247
 WHIRLPOOL 
078a07ae2361daaddd964ee9c4b3948b61e708c6fbb2e14d1b4efef1d1f40333b5b7d36de1498aa6dac852e68bf18636654461245d89805a908df82383e800e5
 DIST boto3-1.3.0.tar.gz 171316 SHA256 
0b8c809a08c1c27dcd2213b2799796fa82388d93bf50d375cd378171c9a59a53 SHA512 
2088ee1fd27dbe197221c14b73344905cce1c6f660d61a5a69124f64be099abb0ea31f8b8d06c5034418d36b7a2289a1a1f87d4f8e15c49884fd8215b0a342c8
 WHIRLPOOL 
50bbec84e5bb12c991462b04b15e79cd28f6aae7069c1128b25aae4c738ba9bcb4005b84080dbfd0b73bbfcce33e7fb7b7708e23da928d032214c22dd39d6673
+DIST boto3-1.3.1.tar.gz 176717 SHA256 
b3dbde6445ab04c3d0de9b962a3cc8ed9bc22ccce5ed4c8c4f8a1c1f653667f0 SHA512 
10fa396e8896a157e80d028b590056dd8e967afec37062056d94fab45652d4adedbe5e98f1cc67c6c8b9ae9282145367b4e1973fd7506170e486b026b57db9f5
 WHIRLPOOL 
7a89936f8fde0c1138b330cee2184b40948838466aa44e78e35dfa6440c120ed8abfca9b76e28355173b8c571f0124af462eaa506990ef09bcdeaa0219e45788

diff --git a/dev-python/boto3/boto3-1.3.1.ebuild 
b/dev-python/boto3/boto3-1.3.1.ebuild
new file mode 100644
index 0000000..d496da5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.3.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3";
+SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/botocore-1.4.1[${PYTHON_USEDEP}]
+       <dev-python/botocore-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '>=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' 
'python2_7')
+       $(python_gen_cond_dep '<dev-python/futures-4.0.0[${PYTHON_USEDEP}]' 
'python2_7')
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+               <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               ~dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests tests/unit/ tests/functional/ || die "test failed under 
${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to